#
# spec file for package Intel-v92ham (Version 4.53)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  autoconf bin86 gmp k_deflt kernel-source modutils openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bin86 binutils cracklib gcc gdbm gettext gmp k_deflt kernel-source libtool openssl-devel perl rpm

Name:         Intel-v92ham
%define srcdir Intel-v92ham-453
%define susedir "SuSE"
Version:      4.53
Release:      27
License:      Commercial, Other License(s), see package
Group:        Hardware/Modem
ExclusiveArch: %ix86
Autoreqprov:  on
PreReq:       /bin/cat grep sed mktemp fileutils sh-utils /etc/modules.conf
Summary:      A Driver for the Intel v.92 HaM Modem
Source:       Intel-v92ham-453.tar.gz
Source1:      Intel-v92ham.SuSE.tar.bz2
Patch:        Intel-v92ham-453.dif
Patch1:       Intel-v92ham-compile.dif
Patch3:       Intel-v92ham-453-build.dif
Patch4:       Intel-v92ham-453-modversions.diff
URL:          http://www.intel.com

%description
This package includes the drivers and configuration tools for the Intel
HaM Modem with MD563X-HaM v.90 chipset.

It is a controller-less modem, sometimes called a "winmodem" (or in
this case a linmodem).

This is not completely free software! Please read the license agreement
in /usr/share/doc/packages/Intel-v92ham/license.txt

As this driver is binary only, please note that SuSE cannot offer
installation support for this modem!



Authors:
--------
    Dorian Araneda <dorian.araneda@intel.com>

%define modrootdir lib/modules/
%define filelist /var/adm/fillup-templates/Intel-v92ham-moduleslist
%prep
%setup -n %{srcdir} -a 1 -q
%patch
%patch1
%patch3
%patch4

%build
HEADERS="$(echo /usr/src/linux-*-include | head -1)"
VERSION="${HEADERS##/usr/src/linux-}"
VERSION="${VERSION%%-include}"
RELEASE="${VERSION##*-}"
VERSION="${VERSION%%-$RELEASE}"
echo "$RELEASE"
rm -f "%{filelist}"
for HDIR in $HEADERS/*; do
	FLAVOR="${HDIR##$HEADERS/}"
	DEST="/%{modrootdir}${VERSION}-override-${FLAVOR}"
	# build
	echo "building: $FLAVOR ${VERSION} ${RELEASE}"
	make	clean
	make	KDIR="${HDIR}"
	# install
	mkdir -p "$DEST"
	cp -v coredrv/hamcore.o serialdrv/ham.o "$DEST"
	echo "%dir $DEST"	>> %{filelist}
	echo "$DEST/ham.o"	>> %{filelist}
	echo "$DEST/hamcore.o"	>> %{filelist}
done

%install
GROUP='dialout'
MODE='664'
# install the registry
install -o root -g root -m 110 hamregistry /usr/sbin
#install -o root -g root -m 444 linhamreg.bin /etc
# install the modules
find %{modrootdir} -type d | xargs -i \
    test -d $RPM_BUILD_ROOT/{} || \
    install -o root -g root -m 755 -d $RPM_BUILD_ROOT/{}
find %{modrootdir} -type f | xargs -i \
    install -o root -g root -m 644 {} $RPM_BUILD_ROOT/{}
test -e /dev/ham && rm /dev/ham -f
# setting up ham device
MAJOR=`cat /proc/devices | awk "\\$2==\"$serial\" {print \\$1}"`
test -z "$MAJOR" && MAJOR='240'
mknod /dev/ham c $MAJOR 1;
chgrp ${GROUP} /dev/ham
chmod ${MODE}  /dev/ham
#ln -sf /dev/ham /dev/modem 1> /dev/null 2> /dev/null
# adjusting modules.conf
install -m 644 %{susedir}/modules.conf.ham /var/adm/fillup-templates/modules.conf.ham
# filelist contains the pathes to the modules

%files -f %{filelist}
/dev/ham
/usr/sbin/hamregistry
/var/adm/fillup-templates/modules.conf.ham
%doc readme.txt license.txt SuSE/README.SuSE SuSE/TODO

%post
cat <<EOT
 Copyright (c) 1999-2001, Intel Corporation All rights reserved.
 Parts of this software are not GPL authorized and not free!
 Please read INTEL SOFTWARE LICENSE AGREEMENT
 in /usr/share/doc/packages/Intel-v92ham/license.txt
 before using the modules!
 As this driver is binary only, please note, that SuSE can offer
      no installation support
 for this modem.
 If you have any questions, please look at http://developer.intel.com/design/modems
EOT
HAMMOD="var/adm/fillup-templates/modules.conf.ham"
if test -w etc/modules.conf ; then
    if ! grep "`sed -n 1p $HAMMOD`" etc/modules.conf &>/dev/null ; then
	echo "Updating etc/modules.conf"
	cat $HAMMOD >> etc/modules.conf
	if test -x sbin/depmod -a -e lib/modules/`bin/uname -r`/modules.dep ; then
	    chroot . /sbin/depmod -a 2>/dev/null
	fi
    fi
else
  echo "ERROR: /etc/modules.conf not writable. This should not happen."
  echo "Please see modules.conf.ham for necessary changes and "
  echo "update by hand."
  exit 1
fi
exit 0

%preun
test $1 = 0 || exit 0
HAMMOD="var/adm/fillup-templates/modules.conf.ham"
if test ! -w etc/modules.conf ; then
    echo "cannot find /etc/modules.conf. Nothing to remove from modules.conf"
    exit 0
fi
TMP=`mktemp -q tmp/$base.XXXXXX`
if test $? -ne 0 ; then
    echo "$base: Can't create temp file, exiting..."
    exit 1
fi
LNO=`wc -l $HAMMOD`
FL=`sed -n -e '1p' $HAMMOD | tr '/' '.'`
LL=`sed -n -e '$p' $HAMMOD | tr '/' '.'`
echo trying to remove the following lines from
echo "  $FL"
echo to
echo "  $LL"
echo from /etc/modules.conf
sed  -e "/$FL/,/$LL/d" etc/modules.conf > $TMP
if test $? -eq 0 -a \
   -n "$FL" -a -n "$LL" -a \
   -r "$TMP"  ; then
    echo saving old /etc/modules.conf in /etc/modules.conf.rpmold
    mv etc/modules.conf etc/modules.conf.rpmold
    mv $TMP etc/modules.conf
    echo removing ham-module entries from /etc/modules.conf done
else
    echo cannot remove the Intel-v92ham entries from /etc/modules.conf
    rm -f $TMP
    exit 0
fi

%changelog -n Intel-v92ham
* Thu Feb 05 2004 - mjancar@suse.cz
- update to 4.53
- fix modversions (#34297)
* Fri Sep 19 2003 - mls@suse.de
- build for all kernels
- use override directory
* Tue Sep 09 2003 - ro@suse.de
- fix typo in specfile
* Fri Aug 08 2003 - ro@suse.de
- fix build with latest kernel packaging changes
* Fri Jun 20 2003 - ro@suse.de
- fix build
* Fri Mar 14 2003 - mls@suse.de
- install core with 'insmod -f'
- don't run uninstall script when doing an update
* Thu Mar 13 2003 - mls@suse.de
- also build athlon version
* Fri Feb 28 2003 - ro@suse.de
- fix build (preprocess linux.autoconf.h for comparison)
* Wed Feb 26 2003 - ro@suse.de
- fix prereq (added /etc/modules.conf)
* Mon Feb 10 2003 - ro@suse.de
- update to 4.51 and make it compile
* Fri Nov 15 2002 - arvin@suse.de
- fixed multi-line string literals
* Thu Sep 12 2002 - ro@suse.de
- add sh-utils to PreReq
* Tue Aug 20 2002 - kukuk@suse.de
- Fix PreReq for cat.
* Fri Aug 16 2002 - arvin@suse.de
- added PreReq tag
* Fri Jul 05 2002 - ro@suse.de
- replace i386 by %%ix86
* Mon May 13 2002 - arvin@suse.de
- fixed updating of modules.conf in post install (bug #16066)
* Thu Feb 14 2002 - ro@suse.de
- make dep if running in build environment
* Tue Jan 15 2002 - ro@suse.de
- hack to compile
- should probably updated to 4.25
  (which does not compile without modification either ...)
* Mon Oct 15 2001 - ro@suse.de
- define EXPORT_SYMTAB needed for > 2.4.12
- use if-then-else-fi blocks in postinstall
- no leading / in postinstall
* Tue Sep 18 2001 - hoelcker@suse.de
- re-activate KVER
* Fri Sep 14 2001 - hoelcker@suse.de
- Kernelversion is taken from ther /boot/vmlinuz*verion.h file, if
  present
- added hint to the intel developers site
  http://developer.intel.com/design/modems
* Wed Aug 29 2001 - hoelcker@suse.de
- initial build of the rpm package
- adjustments in the original tarball made for the rpm package:
- the INCLUDE directory for the makefile can be given as an environment
  variable, too.
- the environment variable MODSUBDIR points to the directory where the
  compiled modules are stored.
  Together with the INCLUDE variable this could be used to compile modules
  for more than one kernel at one time.
- installation procedure ha smoved from the makefile to the specfile
- the build section set up the INCLUDE path variable for compiling
  correctly
- the environment variable KERNELVER is evaluated by the specfile to
  compile the modules for more than one kernelversion.
  See the specfile for further information.
- switch version from 408-2 to 412-3.
  tarfile is now Intel-v92ham-412-3.tar.gz
  src subdirectory is Intel-v92ham-412-3
  SuSE source file is now Intel-v92ham-4.12-3.SuSE.tar.gz
  SuSE diff file is now Intel-v92ham-4.12-3.diff
- Added new features:
- Using the modules.conf to load and unload the modules and not the hamboot
  script
- modules.conf is updated during installation and deinstallation
- Using the install section of the specfile for installation procedure
  and not the haminstall script
- the link /dev/modem is no more created automatically
- rebuilding of the package for more than one kernelversion is possible
  using the KERNELVER environment variable
- the specfile is GPL authorized
